Bug 26127 - When reporting an Error from the OPAC, the URL does not display
Summary: When reporting an Error from the OPAC, the URL does not display
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 4461
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-03 11:51 UTC by Kelly McElligott
Modified: 2020-09-09 04:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
opac (79.29 KB, image/png)
2020-08-03 11:51 UTC, Kelly McElligott
Details
Bug 26127: local_referer should not compare with OPACBaseURL case insensitive (2.02 KB, patch)
2020-08-03 13:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
url (61.75 KB, image/png)
2020-08-03 13:45 UTC, Kelly McElligott
Details
Bug 26127: local_referer should not compare with OPACBaseURL case insensitive (2.25 KB, patch)
2020-08-04 11:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26127: local_referer should not compare with OPACBaseURL case insensitive (2.31 KB, patch)
2020-08-12 10:43 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26127: local_referer should not compare with OPACBaseURL case insensitive (2.37 KB, patch)
2020-08-15 08:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-08-03 11:51:24 UTC
Created attachment 107700 [details]
opac

When a logged in patron "reports a problem", there is a place for the URL of the page the patron is on to be filled in on the line: 'Problem found on page'.

Currently, no matter what page on the OPAC, the Report a Problem is clicked on the , the URL does not display. 

This is what it will display:

Problem found on page: /

From reading the bug 4461, this should display the URL.
Comment 1 Jonathan Druart 2020-08-03 12:05:31 UTC
Hi Kelly, can you confirm you have OPACBaseURL set correctly?
Comment 2 Kelly McElligott 2020-08-03 12:36:54 UTC
Hi Jonathan,
yes, I have the OPACbaseURL set up. It is working and directing staff to OPAC via bib records.
Comment 3 Jonathan Druart 2020-08-03 13:09:51 UTC
Created attachment 107704 [details] [review]
Bug 26127: local_referer should not compare with OPACBaseURL case insensitive

In our test data we have OPACBaseURL that is filled with http://kohadev.myDNSname.org:8080,
but the CGI referer in local_referer is lowercase
We should compare it without case sensitivity
Comment 4 Jonathan Druart 2020-08-03 13:10:41 UTC
Can you test this patch? It's just a guess but I do recreate on koha-testing-docker and it fixes the problem.
Comment 5 Kelly McElligott 2020-08-03 13:45:34 UTC
This is still not working when testing in Sandboxes.

Adding screenshots.
Comment 6 Kelly McElligott 2020-08-03 13:45:58 UTC
Created attachment 107710 [details]
url
Comment 7 Owen Leonard 2020-08-03 14:09:14 UTC
I could see this problem when my OpacBaseURL system preference didn't match my actual OPAC URL. In my case it was because the OpacBaseURL from the sample data doesn't match my test environment. Is the same true of the sandboxes?
Comment 8 Jonathan Druart 2020-08-03 14:36:08 UTC
Sandboxes should have the same case sensitive problem my patch is supposed to fix.
Comment 9 Jonathan Druart 2020-08-04 11:26:59 UTC
Created attachment 107744 [details] [review]
Bug 26127: local_referer should not compare with OPACBaseURL case insensitive

In our test data we have OPACBaseURL that is filled with http://kohadev.myDNSname.org:8080,
but the CGI referer in local_referer is lowercase
We should compare it without case sensitivity

Test plan:
- Use koha-testing-docker
- Notice the value of OPACBaseURL
=> http://kohadev.myDNSname.org:8080
- Use the "reports a problem" feature at the OPAC
- Notice that the "Problem found on page" is correctly filled with the
referer
Comment 10 Jonathan Druart 2020-08-04 11:27:28 UTC
The original problem is also due to an issue in koha-sandboxes-docker, reported at https://github.com/bywatersolutions/koha-sandboxes-docker/issues/37
Comment 11 ByWater Sandboxes 2020-08-12 10:43:49 UTC
Created attachment 108094 [details] [review]
Bug 26127: local_referer should not compare with OPACBaseURL case insensitive

In our test data we have OPACBaseURL that is filled with http://kohadev.myDNSname.org:8080,
but the CGI referer in local_referer is lowercase
We should compare it without case sensitivity

Test plan:
- Use koha-testing-docker
- Notice the value of OPACBaseURL
=> http://kohadev.myDNSname.org:8080
- Use the "reports a problem" feature at the OPAC
- Notice that the "Problem found on page" is correctly filled with the
referer

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 12 Katrin Fischer 2020-08-15 08:09:24 UTC
Created attachment 108317 [details] [review]
Bug 26127: local_referer should not compare with OPACBaseURL case insensitive

In our test data we have OPACBaseURL that is filled with http://kohadev.myDNSname.org:8080,
but the CGI referer in local_referer is lowercase
We should compare it without case sensitivity

Test plan:
- Use koha-testing-docker
- Notice the value of OPACBaseURL
=> http://kohadev.myDNSname.org:8080
- Use the "reports a problem" feature at the OPAC
- Notice that the "Problem found on page" is correctly filled with the
referer

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Jonathan Druart 2020-08-18 15:47:33 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 14 Lucas Gass 2020-09-03 15:27:14 UTC
backported to 20.05.x for 20.05.04
Comment 15 Aleisha Amohia 2020-09-09 04:20:59 UTC
missing dependencies, not backported to 19.11.x